Subject: [AVT] RE: Dynamic selection of Codec??

From: "Ingemar Johansson S \(LU/EAB\)" <[email-masked]>
Date: Wed, 28 Mar 2007 07:59:21 +0200

Hi

As I forgot to change the subject line in my last email I need to repost it, sorry for the double posting

There are a few speech/audio codecs available that support dynamic changes in bitrate during a session (without the need for a SIP reINVITE). From the AMR codec family one can chose from

AMR:     
  Narrowband speech codec (8kHz sample rate).
  Bitrates 4.75-12.2kbps
  (aka the codec used in GSM, UMTS)
  http://en.wikipedia.org/wiki/AMR-WB
AMR-WB:  Widedband speech codec (16kHz sample rate). 
  Bitrates 6.60-23.85kbps
  http://en.wikipedia.org/wiki/AMR-WB
Payload format in RFC3267 and soon updated by draft-ietf-avt-rtp-amr-bis

AMR-WB+: 
  Speech and audio stereo/mono codec. 
  Audio bandwidth varies between 6.4kHz and 20kHz depending on
  bitrate (5.2-48kbps), the sample rate remains the same though due to
  internal "dynamically adjustable" resampling. Worth notice is also
  that it is possible to even switch between stereo and mono
  almost seamlessly during a session
  http://en.wikipedia.org/wiki/AMR-WB%2B
Payload format in RFC4352

C-code for the codecs mendioned above can be downloaded from http://www.3gpp.org/ftp/Specs/html-info/26-series.htm
The floating point c-code are specs 26.104, 26.204 and 26.304
Also: The bitrate switching and the associated signaling is specified in 3GPP TS26.114 available from the same website, this does actually adress the dynamic codec rate question described below.

Regards
Ingemar

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: den 27 mars 2007 16:41
> To: [email-masked]
> Subject: avt Digest, Vol 35, Issue 30
> 
> Send avt mailing list submissions to
> 	[email-masked]
> 
> To subscribe or unsubscribe via the World Wide Web, visit
> 	https://www1.ietf.org/mailman/listinfo/avt
> or, via email, send a message with subject or body 'help' to
> 	[email-masked]
> 
> You can reach the person managing the list at
> 	[email-masked]
> 
> When replying, please edit your Subject line so it is more 
> specific than "Re: Contents of avt digest..."
> 
> 
> Today's Topics:
> 
>    1. RE: Dynamic selection of Codec?? ([email-masked])
>    2. RE: Dynamic selection of Codec?? ([email-masked])
>    3. RE: Dynamic selection of Codec?? (Even, Roni)
> 
> 
> ----------------------------------------------------------------------
> 
> Message: 1
> Date: Tue, 27 Mar 2007 20:05:08 +0530
> From: <[email-masked]>
> Subject: RE: [AVT] Dynamic selection of Codec??
> To: "'Taddei, Herve'" <[email-masked]>,	<[email-masked]>
> Message-ID: <[email-masked]>
> Content-Type: text/plain;	charset="iso-8859-1"
> 
> Hi, 
>  
> Is this only limited for wideband / scalable codecs?? If 
> that's the case, then how can we it be implemented if I don't 
> have scalable codecs?
> 
> Thanks & regards,
> Vamsi. 
> 
> -----Original Message-----
> From: Taddei, Herve [mailto:[email-masked]]
> Sent: Tuesday, March 27, 2007 7:03 PM
> To: [email-masked]; [email-masked]
> Subject: AW: [AVT] Dynamic selection of Codec??
> 
> Hi,
> 
> You can use a scalable codec for example G.729.1 standardized 
> in the ITU-T and decide on the bitrate you want to say based 
> on the network conditions.
> You don't need any codec re-negotiation when you change of 
> bitrate. RTP payload format is RFC 4749.
> 
> Cheers
> 
> Hervé
> 
> -----Ursprüngliche Nachricht-----
> Von: [email-masked] [mailto:[email-masked]]
> Gesendet: Dienstag, 27. März 2007 15:14
> An: [email-masked]
> Betreff: [AVT] Dynamic selection of Codec??
> 
> Hello, 
>    Can we select codec dynamically in the mid session when a 
> SIP call is going on?  
> 
> Suppose in 10 min. of a SIP call, Initially my bandwidth is 
> excellent so I choose for quality codec rather than bandwidth 
> consumption codec, and after few minutes my bandwidth is very 
> less, so at that time, how can I manage my quality of call?  
> 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: "Desineni, Harikishan" <[email-masked]>
Date: Thu, 29 Mar 2007 10:41:37 -0700

There are few more speech/audio codecs that can be considered (from the EVRC codec family).

EVRCB:
Narrowband speech codec (8kHz sample rate)
Source controlled variable rate codec
Bit rates 0.8Kbps-8.55kbps
(aka the codec used in 3GPP2 networks with multiple capacity operating points)
Payload formats in RFC 4788
Published spec is available at http://www.3gpp2.org/Public_html/specs/C.S0014-B_v1.0_060501.pdf

EVRC-WB: 
Widedband speech codec (16kHz sample rate)
Source controlled variable rate codec
Bit rates 4 0.8Kbps-8.55Kbps,
Wideband quality even at an average bit-rate 7.5Kbps
Payload format in draft-ietf-avt-rtp-evrc-wb-00.txt
Published spec is available at http://www.3gpp2.org/Public_html/specs/C.S0014-C_v1.0_070116.pdf

-Hari

> From: Ingemar Johansson S (LU/EAB)
> [mailto:[email-masked]]
> Sent: Tuesday, March 27, 2007 10:59 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [AVT] RE: Dynamic selection of Codec??
> 
> Hi
> 
> There are a few speech/audio codecs available that support dynamic changes
> in bitrate during a session (without the need for a SIP reINVITE). From
> the AMR codec family one can chose from
> 
> AMR:
> C-code for the codecs mendioned above can be downloaded from
> http://www.3gpp.org/ftp/Specs/html-info/26-series.htm
> Also: The bitrate switching and the associated signaling is specified in
> 3GPP TS26.114 available from the same website, this does actually adress
> the dynamic codec rate question described below.
> 
> Regards
> Ingemar
>